Bug 51850 - EDITING: No AutoCaption when inserting pictures with drag-and-drop or copy/paste
Summary: EDITING: No AutoCaption when inserting pictures with drag-and-drop or copy/paste
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 45770 (view as bug list)
Depends on:
Blocks: Writer-Images AutoCaption
  Show dependency treegraph
 
Reported: 2012-07-07 18:00 UTC by Hans
Modified: 2017-07-04 20:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans 2012-07-07 18:00:16 UTC
There are no AutoCaptions added to a graphic in the following cases:
1. Using drag-and-drop from an external program
2. Using the gallery and the right-click-menu (Add -> Copy or Add -> Link)
3. Using the gallery: drag-and-drop with Ctrl+Shift hold down to add graphic as a link


Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20100101 Firefox/13.0.1
Comment 1 Rainer Bielefeld Retired 2012-07-08 04:27:54 UTC
3.4.4 is outdated, lifecycle has ended.

@JK:
I dislike riddles, JK, what is the problem? Thank you for your report, but unfortunately important information is missing.
May be hints on <http://wiki.documentfoundation.org/BugReport> will help you to find out what information will be useful to reproduce your problem? If you believe that that  is really sophisticated please as for Help on a user mailing list
Please:
- Write a meaningful Summary describing exactly what the problem is
- Attach a sample document (not only screenshot) or refer to an existing 
  sample document in an other Bug with a link.
- Attach screenshots with comments if you believe that that might explain the 
  problem better than a text comment. Best way is to insert your screenshots
  into a DRAW document and to add comments that explain what you want to show
- Contribute a document related step by step instruction containing every 
  key press and every mouse click how to reproduce your problem 
  (similar to example in Bug 43431)
– if possible contribute an instruction how to create a sample document 
  from the scratch
- add information 
  -- what EXACTLY is unexpected
  -- and WHY do you believe it's unexpected (cite Help or Documentation!)
  -- concerning your PC 
  -- concerning your OS (Version, Distribution, Language)
  -- concerning your LibO localization (UI language, Locale setting)
  –- Libo settings that might be related to your problems 
  -- how you launch LibO and how you opened the sample document
  -- everything else crossing your mind after you read linked texts

Even if you can not provide all demanded information, every little new information might bring the breakthrough.
Comment 2 Hans 2012-07-09 04:25:38 UTC
I'm sorry that my initial post was unclear.
I would suggest to put a link to http://wiki.documentfoundation.org/BugReport on the Bug Submission Assistant but not here, of course - because it's totally off-topic.

I'm using now LibreOffice 3.5.4.2 Build-ID: 350m1(Build:2) with the German UI and Locale on Ubuntu Linux 11.10 x86_64 (also with the German localization) via https://launchpad.net/~libreoffice/+archive/ppa/ .

I setup Writer to add AutoCaption on pictures (Tools -> Options -> LibreOffice
Writer -> AutoCaption) without a category.

But there is no AutoCaption added to an inserted picture when the picture is inserted using one of the following ways:
1. Using drag-and-drop from an external program (like nautilus, digikam, …)
2. Using the gallery and the right-click-menu (Add -> Copy or Add -> Link)
3. Using the gallery: drag-and-drop with Ctrl+Shift hold down to add graphic as
a link
Comment 3 Hans 2012-07-09 05:10:02 UTC
I'm sorry that my initial post was unclear.
I would suggest to put a link to http://wiki.documentfoundation.org/BugReport on the Bug Submission Assistant but not here, of course - because it's totally off-topic.

I'm using now LibreOffice 3.5.4.2 Build-ID: 350m1(Build:2) with the German UI and Locale on Ubuntu Linux 11.10 x86_64 (also with the German localization) via https://launchpad.net/~libreoffice/+archive/ppa/ .

I setup Writer to add AutoCaption on pictures (Tools -> Options -> LibreOffice
Writer -> AutoCaption) without a category.

But there is no AutoCaption added to an inserted picture when the picture is inserted using one of the following ways:
1. Using drag-and-drop from an external program (like nautilus, digikam, …)
2. Using the Gallery and the right-click-menu (Insert -> Copy or Insert -> Link)
3. Using the Gallery: drag-and-drop with Ctrl+Shift pressed to add graphic as
a link


How to reproduce this: Open a new Writer document. 

1: Open an external program which provides drag-and-drop for files. Locate the image you want to insert. Drag the image into the Writer document and drop it.

   Expected: AutoCaption added - same as if 'Insert -> Picture -> From File' used
   Actual: Picture is inserted but without AutoCaption. (The same is true when Control+Shift keys are held down while dragging the image to link the file instead of embedding it.)


2: Open the Gallery (Tools -> Gallery) and choose a picture. Right-click on the picture and click 'Insert -> Copy' or 'Insert -> Link'.

   Expected: AutoCaption added - same as if drag and drop from the gallery used
   Actual: Picture is inserted but without AutoCaption


3: Open the Gallery (Tools -> Gallery) and choose a picture. Hold down Control+Shift keys and drag the image into the Writer document and drop it.

   Expected: AutoCaption added to the linked picture - same as if drag and drop from the gallery used for copying the file
   Actual: Picture is linked but without AutoCaption


So the only way to insert an image linked and not embedded AND have the AutoCaption added is to use 
'Insert -> Picture -> From File', select the image file and check the 'Link' box. For inserting a lot of pictures this is not handy, especially because the 'Link' box don't stay checked when you open the dialog again. 


I hope the provided information is now useful. If you really need a sample document, or if there are more questions, please let me know.
Comment 4 Rainer Bielefeld Retired 2012-07-09 05:40:04 UTC
[Reproducible] with "LibreOffice  3.5.5.3.  German UI/Locale [Build-ID: 7122e39-92ed229-498d286-15e43b4-d70da21] on German WIN7 Home Premium (64bit) 

Steps to reproduce:
1. Open new writer document, prepare settings as per comment before
2. Open <http://en.wikipedia.org/wiki/Main_Page> in (Seamonkey) Browser
3. Drag and drop picture from "Today's featured article" to Writer
   As expected: Picture visible in Writer
   Unexpected: no caption.

I doubt that that ever worked, also reproducible with LibO 3.3.3 and OOo 3.1.1, AOOo 3.4

Also will not work for copy/paste

Works fine for pictures from Gallery and Pictures from File

I doubt that it has been intended to support that feature, I believe that's not easy to do because LibO can't know before mouse button has been released what contents will come. 

But if this feature will not come, Help should say clearly that that will not work for drag  and drop and copy/paste from other programs
Comment 5 Hans 2012-07-09 23:27:48 UTC
(In reply to comment #4)
> I doubt that it has been intended to support that feature, I believe that's not
> easy to do because LibO can't know before mouse button has been released what
> contents will come. 

Why is it necessary for LibO to know the content before the mouse button has been released? Is it not possible for LinO to recognize: There was a picture inserted, so AutoCaption has to be added?


> But if this feature will not come,

In that case I would suggest to make it possible that you can select several image files at once in the 'Insert -> Picture -> From File' dialog.
Comment 6 Hans 2012-07-09 23:42:39 UTC
Just found a similar bug "AutoCaption does not apply when drag and dropping pictures" https://bugs.freedesktop.org/show_bug.cgi?id=45770  - wondering why the Bug Submission Assistant didn't find this bug when I add this one with the analog keywords in the titles…
Which one can be marked as a duplicate?
Comment 7 Rainer Bielefeld Retired 2012-07-10 05:36:04 UTC
> wondering why
> the Bug Submission Assistant didn't find this bug

Me too, I didn't see it, too

I believe we should keep this one because more results gained here
Comment 8 Rainer Bielefeld Retired 2012-07-10 05:36:48 UTC
*** Bug 45770 has been marked as a duplicate of this bug. ***
Comment 9 Glutanimate 2012-10-13 15:37:42 UTC
Reproducible with LibreOffice 3.6.2.2 (Build ID: da8c1e6).

In addition: when manually adding captions previously selected character styles for numbering are disregarded.
Comment 10 Glutanimate 2012-10-13 18:13:12 UTC
> In addition: when manually adding captions previously selected character
> styles for numbering are disregarded.

See this related bug for reference:

https://bugs.freedesktop.org/show_bug.cgi?id=48682